# core

Contains core services for the View server - renderer and registrar

## Tagging

**Before tagging remember to increment the chart version (`.charts/<vs-renderer|vs-registrar>/Chart.yaml`) manually!**

This repository uses `bump2version` for managing tags. To bump a version use

```shell
bump2version --new-version <new_version> # or bump2version <major|minor|patch>
git push && git push --tags
```

## Development

To setup for development run the following commands for your virtual env.

```shell
pip install -r requirements.txt
pip install -r requirements-dev.txt
pip install -r requirements-test.txt
```

Flake8, mypy and black can be ran as commands from terminal:

```shell
flake8 # at the root folder
mypy . # at the root folder
black file.py # to autoformat a file. also possible with a path
```

Or these tools can also be integrated into your IDE/Editor.

- [VSCODE](https://code.visualstudio.com/docs/python/linting)
